﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd
DATE:                  2010-08-24 14:40:44
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       197
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:  DFM, DAC, VY
#
#  Model(s) Covered:  TDS1000 Series
#                       TDS 1001, TDS 1002, TDS 1012
#                     TDS2000 Series
#                       TDS 2002, TDS 2004, TDS 2012, TDS 2014, TDS 2022,
#                       TDS 2024
#
#  Compatibility:     MET/CAL 7.20 or later
#
#  Subprocedures:     Sub Tek TDS1000/2000 Select Channel RS-232
#                     Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  PORT         *RST;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS1000/2000 Select Channel RS-232

  1.003  IF           @Chan == 1
  1.004  RSLT         =
  1.005  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.006  ENDIF

  1.007  RSLT         =
  1.008  RSLT         =Channel [V @Chan]

  1.009  IF           @Bandwidth == 40E+6
  1.010  MATH         FreqMHz = "40  MHz"
  1.011  ELSEIF       @Bandwidth == 60E+6
  1.012  MATH         FreqMHz = "60 MHz"
  1.013  ELSEIF       @Bandwidth >= 100E+6
  1.014  MATH         FreqMHz = "100 MHz"
  1.015  ENDIF

  1.016  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])
  1.017  TARGET

  1.018  IF           @NumHeads == 2 || @NumHeads == 4
  1.019  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  1.020  DISP         Connect the 9500 to the UUT as follows:
  1.020  DISP         [32] CH 1 Active Head to UUT CH [V @Chan]
  1.020  DISP         [32] CH 2 Active Head to UUT EXT TRIG
  1.021  ENDIF

  1.022  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
  1.023  PORT         CH[V @Chan]:PRO 1;SCA 100E-3
  1.024  PORT         HOR:SCA 10E-9
  1.025  PORT         TRIG:MAI:MOD NORM
  1.026  PORT         TRIG:MAI:EDGE:SOU EXT
  1.027  PORT         ACQ:MOD SAMP;STATE ON
  1.028  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV.
  1.029  MATH         MEM = 400; MEM1 = MEM

  1.030  DO
  1.031  MATH         MEM = MEM1 + (400 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.032  IF           MEM > 2780 || MEM < 4.44
  1.033  MATH         MEM = 400
  1.034  ENDIF

  1.035  9500         mVpp                         10MH           LS    S
  1.036  PORT         TRIG:MAI SETL
  1.036  PORT         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  1.037  MATH         MEM = MEM / 1E-3
  1.038  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 200 mVpp that is just the required test signal for external
# trig sensitivity.
  1.039  MATH         MEM = MEM1 / 2

  1.040  IF           @Bandwidth == 40E+6
  1.041  9500         mVpp                         40MH           LS    S
  1.042  ELSEIF       @Bandwidth == 60E+6
  1.043  9500         mVpp                         60MH           LS    S
  1.044  ELSEIF       @Bandwidth >= 100E+6
  1.045  9500         mVpp                         100MH          LS    S
  1.046  ENDIF

  1.047  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  1.048  MATH         @PeakValue = mVppStd / 2 * 1E-3
  1.049  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
  1.050  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
  1.051  EVAL   -e @Triggered : [V RsltStr]

  2.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
  2.002  MATH         MEM = mVppStd

  2.003  IF           @Bandwidth == 40E+6
  2.004  9500         mVpp                         40MH           LS    S
  2.005  ELSEIF       @Bandwidth == 60E+6
  2.006  9500         mVpp                         60MH           LS    S
  2.007  ELSEIF       @Bandwidth >= 100E+6
  2.008  9500         mVpp                         100MH          LS    S
  2.009  ENDIF

  2.010  PORT         TRIG:MAI:EDGE:SLO FALL
  2.011  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
  2.012  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
  2.013  EVAL   -e @Triggered : [V RsltStr]

  3.001  PORT         TRIG:MAI:EDGE:SLO RISE

# For UUT whose bandwidth is 200 MHz do additional test.
  3.002  IF           @Bandwidth == 200E+6
  3.003  HEAD         -2 Rising Slope at 200 MHz, 350 mVpp
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 700 mV, for the reason of using power slitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 1400 mV.
  3.004  MATH         MEM = 700; MEM1 = MEM

  3.005  DO
  3.006  MATH         MEM = MEM1 + (700 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.007  IF           MEM > 2780 || MEM < 4.44
  3.008  MATH         MEM = 700
  3.009  ENDIF

  3.010  9500         mVpp                         10MH           LS    S
  3.011  PORT         TRIG:MAI SETL
  3.012  PORT         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  3.013  MATH         MEM = MEM / 1E-3
  3.014  UNTIL        (MEM >= 680) && (MEM <= 720)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 350 mVpp that is just the required test signal for external
# trig sensitivity.
  3.015  MATH         MEM = MEM1 / 2
  3.016  9500         mVpp                         200MH          LS    S
  3.017  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  3.018  MATH         @PeakValue = mVppStd / 2 * 1E-3
  3.019  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
  3.020  MATH         RsltStr = " Rising Slope at 200 MHz, 350 mVpp"
  3.021  EVAL   -e @Triggered : [V RsltStr]

  4.001  HEAD         -2 Falling Slope at 200 MHz, 350 mVpp
  4.002  MATH         MEM = mVppStd
  4.003  9500         mVpp                         200MH          LS    S
  4.004  PORT         TRIG:MAI:EDGE:SLO FALL
  4.005  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
  4.006  MATH         RsltStr = " Falling Slope at 200 MHz, 350 mVpp"
  4.007  EVAL   -e @Triggered : [V RsltStr]

  5.001  PORT         TRIG:MAI:EDGE:SLO RISE
  5.002  ENDIF

  5.003  HEAD         -2
  5.004  HEAD
  5.005  M9500        *
  5.006  9500         *                                                 S
  5.007  END
